import { WidgetModel } from '@jupyter-widgets/base';
/**
 * Helper function for listening to child models in lists/dicts
 *
 * @param {WidgetModel} model The parent model
 * @param {string[]} propNames The propetry names that are lists/dicts
 * @param {Function} callback The callback to call when child changes
 */
export declare function listenNested(model: WidgetModel, propNames: string[], callback: (model: WidgetModel, options: any) => void): void;
